Saltar para o conteúdo principal

Este browser já não é suportado.

Atualize para o Microsoft Edge para tirar partido das mais recentes funcionalidades, atualizações de segurança e de suporte técnico.

Transferir Microsoft Edge Mais informações sobre o Internet Explorer e o Microsoft Edge
microsoft-foundry.rest.security.o-auth2-auth

Agent Invocations WebSocket

Establish a WebSocket connection to a hosted agent

GET /agents/{agent_name}/endpoint/protocols/invocations_ws

Establishes a WebSocket connection to a hosted agent. The target agent is a path segment and the project is taken from the endpoint, mirroring the HTTP /invocations route. The service resolves (or creates) a session, resolves the agent version, then relays text and binary frames bidirectionally between the client and the agent (1 MB maximum frame size).

The client must send an HTTP GET with Upgrade: websocket headers.

Parâmetros de caminho

agent_name string obrigatório

The name of the hosted agent.

Parâmetros de consultas

agent_session_id string

Optional session/conversation ID. Pass the same value on a subsequent connection to reattach to an existing session. If not provided, the service auto-generates one.

api-version string obrigatório

The API version to use for this operation.

Respostas

The request has succeeded.

Cabeçalhos

x-agent-session-id string obrigatório

Session ID for this WebSocket connection. Returns the provided session ID or an auto-generated one if not provided in the request.

Corpo

Content-Type: application/json

Client error

Corpo

Content-Type: application/json
error OpenAI.Error obrigatório
code string | null obrigatório
message string obrigatório
param string | null
type string
misalignment OpenAI.MisalignmentErrorDetailsResource
review_target string | null
error_type string | enum
Qualquer uma das seguintes opções:
string
enum
potentially_unintended_data_transferpotentially_unintended_data_accesspotentially_unintended_destructive_activityother
detailed_explanation string

The public explanation for this block.

steer OpenAI._MisalignmentSteer
message string obrigatório

The public continuation instruction.

details OpenAI.Error[]
additionalInfo object
debugInfo object

Server error

Corpo

Content-Type: application/json
error OpenAI.Error obrigatório
code string | null obrigatório
message string obrigatório
param string | null
type string
misalignment OpenAI.MisalignmentErrorDetailsResource
review_target string | null
error_type string | enum
Qualquer uma das seguintes opções:
string
enum
potentially_unintended_data_transferpotentially_unintended_data_accesspotentially_unintended_destructive_activityother
detailed_explanation string

The public explanation for this block.

steer OpenAI._MisalignmentSteer
message string obrigatório

The public continuation instruction.

details OpenAI.Error[]
additionalInfo object
debugInfo object

Pedir

GET /agents/{agent_name}/endpoint/protocols/invocations_ws HTTP/1.1

Response

Status: 200
Content-Type: application/json
Status: 4XX
Content-Type: application/json
Status: 5XX
Content-Type: application/json
pt-pt
Suas opções de privacidade
  • Exclusão de responsabilidade de IA
  • Versões anteriores
  • Blogue
  • Contribuir
  • Privacidade
  • Privacidade da Saúde do Consumidor
  • Termos de Utilização
  • Marcas Comerciais
  • © Microsoft 2026